Hallo, Gast! (Registrieren)

Letzte Ankündigung: Sicherheitsupdate: MyBB 1.8.32 veröffentlicht (19.11.22)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Aktualisierung meines alten Forums
#11
Doch ja, aber sobald ich etwas im Adminbereich anklicke, lande ich sofort erneut bei bei der Fehlermeldung mit dem darunter liegenden Loginfeld. Melde ich mich dann noch mal über dieses an, erscheint nicht mal mehr der Adminbereich, sondern  nur die Fehlermedlung und das Loginfeld.


Angehängte Dateien Thumbnail(s)
       
Zitieren
#12
Die Fehler werden wohl vom Plugin sotap.php ausgelöst.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#13
Wie kann ich das ändern?


Und so sieht es aus, wenn ich unangemeldet den Chat betätige - siehe Anhang:
Ich hab`s Smile - ich habe auf meinem Server die PHP-Version auf 5.6 eingestellt und es läuft wieder. Bis Version 7.1. alles was drüber ist funktioniert nicht.

Es kann also losgehen...  Smile

Reicht es wenn ich ein backup für das Forum auf dem webgo-Server mache? Falls bei der Aktualisierung etwas daneben geht...

Noch eine Frage; was ist einfacher, das vollständige Packet oder nur das für die geänderten Dateien installieren?
Habe die Installation eben abgeschlossen.

Ich nehme mal an, das Folgende dauert ne Weile? Da stand ja, nur einmal auf "weiter" klicken...
Mittlerweile dauert es aber auch schon ne ganze Weile mehr:


Updating Database
Performing necessary upgrade queries...
Ich weiß nicht was verkehrt gelaufen ist, aber es hat nicht funktioniert...

http://spectrum-sein.de/

Erst das:

Aktualisierung abgeschlossen
Herzlichen Glückwunsch! Ihr Forum wurde erfolgreich auf MyBB 1.8.31 aktualisiert.

Die Installations-/Upgradeskripte sind geschützt. Um die Skripte aufrufen zu können, müssen Sie die Datei "lock" aus dem Ordner "install" löschen.

Sie können nun Ihr aktualisiertes Forum oder das Admin-CP aufrufen.

Wie geht es weiter?

Benutzen Sie das Tool im Admin-CP, um eigene Templates zu finden, die während des Upgrades aktualisiert wurden. Sie können diese entsprechend anpassen oder zurücksetzen.
Stellen Sie sicher, dass das Forum wie erwartet funktioniert.

Dann dies:

MyBB-SQL-Fehler
MyBB hat einen internen SQL-Fehler festgestellt und kann nicht fortfahren.

SQL-Fehler:
1366 – Falscher Zeichenfolgenwert: „\xDFN\xF8“ für Spalte „web205_db2“. „mybb_sessions“. „ip“ in Zeile 1
Anfrage:
REPLACE INTO mybb_sessions SET `uid`='1',`sid`='6451ad7e30b2b5334193bd002635fce0',`time`=1667947690,`ip`=X'5fdf4ef8',`location`='/index.php',`useragent`= 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, wie Gecko) Chrome/107.0.0.0 Safari/537.36',`location1`=0,`location2`=0,`nopermission`=0
Noch eine Fehlermeldung:

SQL-Fehler:
1054 – Unbekannte Spalte „useragent“ in „field list“
Anfrage:
INSERT INTO mybb_adminsessions (`sid`,`uid`,`loginkey`,`ip`,`dateline`,`lastactive`,`data`,`useragent`,`authenticated`) VALUES ('330e86677632493b36ce6e19b4dd24d1','1', 'Sqogte6JRGpntx78rl2HVGYH5WzCi7CanVtuAigvImliJzom1M',X'5fdf4ef8',1667952254,1667952254,'a:0:{}','Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, wie Gecko.0 Safari.0) /537.36',0)


Angehängte Dateien Thumbnail(s)
       
Zitieren
#14
Oha, da wurde gewaltig etwas verschlimmbessert.

Ich gehe mal davon aus das vor Beginn das Forum auf die aktuelle version zu booten eine komplette Datensicherung (FTP und Datenbank)erstellt wurde. Spiele die gesamte Datensicherung FTP und Datenbank) wieder ein. 

Dann hat man zumindest die Chance neu zu Beginnen und die Fehlerquelle leichter einzukreisen.
Jammer nicht rum ...Du musst (k/m)eine Hilfe (nicht) annehmen!
MyBB: 1.8.32 | PHP: 7.4.30 | SQL: 5.7.37
Tools [Unixzeit ⇔ Realzeit] ♦ [BOM-Finder] ♦ [SQL-Prefix-Changer] ♦ [USV-Rechner]
Zitieren
#15
Nein, ich habe nur die Datenbank, aber leider  keine FTP Sicherung gemacht, das kann ich aber zur Not von webgo kostenpflichtig wieder aufspielen lassen. Die Frage ist, wie wichtig wäre das aktuell?
Nach dem eben ausgeführten Restore der Datenbank erhalte ich folgende Fehlermeldung:

Error Type:
MyBB Error (42)
Error Message:
Your board has not yet been upgraded. Please do so before attempting to browse it.


Nach einem eben geführten Gespräch mit Webgo habe ich nun wieder dieses Fenster zum Upgrade zur Verfügung:

Willkommen
Willkommen zur Upgraderoutine für MyBB 1.8.31.

Bitte vergewissern Sie sich, welche Version des MyBB zur Zeit installiert ist, da Sie diese unten auswählen müssen.

Wir empfehlen dringend, vor dem Upgrade ein vollständiges Backup des Forums durchzuführen (Datenbank und Dateien), so dass das Forum im Notfall wiederhergestellt werden kann.

Klicken Sie bei jedem Schritt des Upgradeprozesses nur einmal auf den "Weiter"-Button. Je nach Größe des Forums können die einzelnen Schritte einige Zeit in Anspruch nehmen.

Sind alle Vorbereitungen getroffen, wählen Sie Ihre installierte Version des MyBB und klicken Sie auf "Weiter".

1.6.14, 1.6.15, 1.6.16, 1.6.17 or 1.6.18

Wähle ich 1.8.30 oder 1.8.3 ? 1.8.31 gibt es nicht. Und heißt das, dass die FTP-Dateien noch ok und komplett sind und ich sie daher diesmal vor dem Abgrade sichern kann? Das habe ich jetzt jedenfalls gemacht.
Ich habe noch eine Frage:
Wie lange dauert das Upgrade ungefähr? Die Erstellung der Caches beispielsweise, scheinen ziemlich lang zu dauern.
Wie lange sollte man also bei allem mindestens warten?
Zitieren
#16
(09.11.2022, 11:42)Dana schrieb: Wähle ich 1.8.30 oder 1.8.3 ? 1.8.31 gibt es nicht.
Du wählst die Version aus, die du bisher benutzt hast.
(09.11.2022, 11:42)Dana schrieb: Wie lange dauert das Upgrade ungefähr? Die Erstellung der Caches beispielsweise, scheinen ziemlich lang zu dauern.
Wie lange sollte man also bei allem mindestens warten?
Du solltest warten bis alles fertig ist. Wie lange das dauert, hängt stark von der Größe des Forum und der Performance des Servers ab. Bei dir liegen so viele Versionen dazwischen, da dauert das entsprechend länger.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#17
Danke StefanT.

Bin gerade hier:


Angehängte Dateien Thumbnail(s)
   
Zitieren
#18
Hallo in die Runde,
kann mir irgendjemand sagen, wieso ich mich -und auch sonst niemand anderes- sich mehr in mein Forum einloggen kann? 
http://spectrum-sein.de/

Was zuvor Geschah: 
Ich habe ein Upgraid von 1.6.14 auf 1.8.31 vollzogen. Erfolgreich wie mir angezeigt wurde und auch unten im Footer steht.

Dann wurde ein Liveforum und ein Testforum  ebenfalls in 1.8.30 (jetzt 1.8.31) erstellt, mit den gleichen Zugangsdaten - auch für den Adminbereich. Darin existiert quasi mein komplettes Forum mit allen Einstellungen und Inhalten der letzten 8 Jahre nur in neuerem Outfit und auf einer externen Seite (wie ihr Profis sicherlich eh wisst). 

In diesem Kontext kam ich kurz darauf nicht mehr in das Original Forum rein. Den Admin-Bereich konnte ich noch betreten, dennoch nicht (also auch von da aus nicht) mehr eingeloggt im Forum sein. 

Woran kann das liegen und wie komme vor allem ich, aber auch meine Mitglieder wieder in dieses Original Forum rein? 

Liebe Grüße und besten Dank im Voraus für eure Hilfe 
Dana
Zitieren
#19
Beim Versuch ein neues Theme in das Originalforum hochzuladen erscheint folgende Fehlermeldung:

Die Website ist nicht erreichbar Die Webseite unter http://spectrum-sein.de/admin/index.php?...ion=import ist
      eventuell vorübergehend nicht verfügbar oder wurde dauerhaft an eine neue Webadresse verschoben.
         
ERR_ACCESS_DENIED

Das Hochladen eines neuen Themes über meinen Server ergibt ebenfalls zero. 
Es wird kein neues theme im Admin-CP angezeigt, wenngleich ich dort einige aus früheren Zeiten gespeichert habe. 


Dana

Eine Korrektur:
Neues mit 1.8... kompatibles Theme konnte gestern Nacht doch geladen werden - wird aber nicht so sauber angezeigt, wie alle anderen, älteren themes.
Zitieren
#20
Dein Hoster setzt wahrscheinlich mod_security oder ähnliches ein, das das Theme fälschlicherweise blockiert. Wende dich bitte an deinen Hoster.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren